# FoundationClasses
TKMath
math

# math_ValueAndWeight Class Reference

`#include <math_ValueAndWeight.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_ValueAndWeight ()
Standard_EXPORT | math_ValueAndWeight (const Standard_Real Value, const Standard_Real Weight)
Standard_EXPORT Standard_Real | Value () const
Standard_EXPORT Standard_Real | Weight () const

## Private Attributes

Standard_Real | myValue
Standard_Real | myWeight

## Constructor & Destructor Documentation

Standard_EXPORT math_ValueAndWeight::math_ValueAndWeight | ( |  | ) |

Standard_EXPORT math_ValueAndWeight::math_ValueAndWeight | ( | const Standard_Real | Value,
|  | const Standard_Real | Weight
| ) |

## Member Function Documentation

void math_ValueAndWeight::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_ValueAndWeight::operator new | ( | size_t | size | ) | `[inline]`

void* math_ValueAndWeight::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Real math_ValueAndWeight::Value | ( |  | ) | const

Standard_EXPORT Standard_Real math_ValueAndWeight::Weight | ( |  | ) | const

## Field Documentation

Standard_Real math_ValueAndWeight::myValue `[private]`

Standard_Real math_ValueAndWeight::myWeight `[private]`

The documentation for this class was generated from the following file:

- math_ValueAndWeight.hxx